Bug 35107 - Wrong state handling: PAUSED, VNC
Wrong state handling: PAUSED, VNC
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Virtual machines (UVMM)
UCS 3.2
All Linux
: P5 normal (vote)
: UCS 3.2-4-errata
Assigned To: Philipp Hahn
Erik Damrose
:
: 19712 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-12 10:37 CEST by Philipp Hahn
Modified: 2015-01-21 12:23 CET (History)
4 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
hahn: Patch_Available+


Attachments
Fix PAUSED handling (2.61 KB, patch)
2014-06-12 10:37 CEST, Philipp Hahn
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2014-06-12 10:37:41 CEST
Created attachment 5952 [details]
Fix PAUSED handling

PAUSED VMs should be handled as running VMs: They have everything to run, but don't get any CPU time assigned.
The VNC button should be shown.
Fix one mis-typed PAUSE.

This change is required for debugging VM start issued.
Comment 1 Philipp Hahn univentionstaff 2014-06-24 17:46:09 CEST
*** Bug 19712 has been marked as a duplicate of this bug. ***
Comment 2 Philipp Hahn univentionstaff 2014-07-14 10:48:55 CEST
Patch commited r51772 with two additional fixed:
4. paused VMs could not be shut-down
5. canStart() returned TRUE wile the host was unavailable.

r51773: 2014-07-02-univention-virtual-machine-manager-daemon.yaml
  * Paused VMs are now handled more similar to running VMs, which allows, for
    exmaple, VNC to be used for paused VMs, too.

Package: univention-virtual-machine-manager-daemon
Version: 3.0.17-12.498.201407141047
Branch: ucs_3.2-0
Scope: errata3.2-2

For QA:
# virsh start --paused $VM
VNC is usable.
VM can be shut-down.
VM can be powered off.
Clicking on "Start" does "virsh resume" the VM.
Clicking on "Pause" again should "virsh suspend" the VM; VNC should still be usable.

VMs on unavailable hosts should not be startable (but migrateable).
Comment 3 Erik Damrose univentionstaff 2014-07-15 14:41:52 CEST
(In reply to Philipp Hahn from comment #2)
> Patch commited r51772 with two additional fixed:
> 4. paused VMs could not be shut-down
> 5. canStart() returned TRUE wile the host was unavailable.
> 
> r51773: 2014-07-02-univention-virtual-machine-manager-daemon.yaml
>   * Paused VMs are now handled more similar to running VMs, which allows, for
>     exmaple, VNC to be used for paused VMs, too.

OK

> Package: univention-virtual-machine-manager-daemon
> Version: 3.0.17-12.498.201407141047
> Branch: ucs_3.2-0
> Scope: errata3.2-2

OK

> For QA:
> # virsh start --paused $VM
> VNC is usable.
> VM can be shut-down.
> VM can be powered off.
> Clicking on "Start" does "virsh resume" the VM.
> Clicking on "Pause" again should "virsh suspend" the VM; VNC should still be
> usable.
> 
> VMs on unavailable hosts should not be startable (but migrateable).

OK
=> Verified
Comment 4 Dirk Wiesenthal univentionstaff 2014-08-01 12:04:45 CEST
Reverting... please check again for 3.2-3
Comment 5 Philipp Hahn univentionstaff 2014-08-28 12:13:17 CEST
Re-applied patch to UCS-3.2-3 branch - only the changelog was updated:
r53113 | Bug #35107 UVMM: Fix paused VM handling
Package: univention-virtual-machine-manager-daemon
Version: 3.0.18-1.502.201408281207
Branch: ucs_3.2-0
Scope: errata3.2-3

r53114 | Bug #35107 UVMM: Fix paused VM handling
 ucs-3.2-3/doc/errata/staging/2014-08-28-univention-virtual-machine-manager-daemon.yaml

Patch is already part of UCS-4.0-0; no additional patching needed.
Comment 6 Erik Damrose univentionstaff 2014-08-28 17:14:48 CEST
(In reply to Philipp Hahn from comment #5)
> Re-applied patch to UCS-3.2-3 branch - only the changelog was updated:
> r53113 | Bug #35107 UVMM: Fix paused VM handling
> Package: univention-virtual-machine-manager-daemon
> Version: 3.0.18-1.502.201408281207
> Branch: ucs_3.2-0
> Scope: errata3.2-3

OK: Patch reapplied, still working
 
> r53114 | Bug #35107 UVMM: Fix paused VM handling
>  ucs-3.2-3/doc/errata/staging/2014-08-28-univention-virtual-machine-manager-
> daemon.yaml
OK

> Patch is already part of UCS-4.0-0; no additional patching needed.
OK
=> Verified
Comment 7 Moritz Muehlenhoff univentionstaff 2015-01-21 12:23:44 CET
http://errata.univention.de/ucs/3.2/275.html